Embed Bold Reports® Report Server Report

You can embed the Bold Report Server reports in the Report Viewer easily without creating a Web API service. Bold Report Server provides the built-in Web API service that helps you to display the server reports.

HTML file creation

Create a basic HTML file as shown below and place it in a separate folder.

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>Report Viewer first HTML page</title>
    </head>
    <body>
    </body>
</html>

Refer scripts and CSS

Directly refer all the required scripts and style sheets from CDN links that are mandatorily required to use the Report Viewer as in the following order.

  • bold.report-viewer.min.css
  • jquery.min.js
  • bold.reports.common.min.js
  • bold.reports.widgets.min.js
  • bold.report-viewer.min.js

Refer to the Bold Reports® CDN to learn more details about Bold Reports® CDN scripts and style sheets links.

You can replace the following code in <head> tag of the Report Viewer HTML page.

Whether you want to get the scripts and style sheets as local, then install the BoldReports.Javascript NuGet package in your application.

<!-- Report Viewer component styles -->
<link href="https://cdn.boldreports.com/13.1.26/content/v2.0/tailwind-light/bold.report-viewer.min.css" rel="stylesheet" />
<!-- Report Viewer component dependent script -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script src="https://cdn.boldreports.com/13.1.26/scripts/v2.0/common/bold.reports.common.min.js"></script>
<script src="https://cdn.boldreports.com/13.1.26/scripts/v2.0/common/bold.reports.widgets.min.js"></script>
<!-- Report Viewer component script -->
<script src="https://cdn.boldreports.com/13.1.26/scripts/v2.0/bold.report-viewer.min.js"></script>

To learn more about rendering a report with data visualization report items, refer to the how to render data visualization report items section.

Adding Report Viewer Widget

Add the <div> element within the <body> section, which acts as a container for boldReportViewer widget to render and then initialize the boldReportViewer widget within the script section as shown below,

<div style="height: 600px; width: 950px;">
    <!-- Creating a div tag which will act as a container for boldReportViewer widget.-->
    <div style="height: 600px; width: 950px; min-height: 400px;" id="viewer"></div>
    <!-- Setting property and initializing boldReportViewer widget.-->
    <script type="text/javascript">
        $(function () {
            $("#viewer").boldReportViewer();
        });
    </script>
</div>

Report Server Configuration to render the report

Report Viewer requires the serviceAuthorizationToken, reportPath and reportServiceUrl to embed the reports. You can provide the information from report server as like explained below,

  • reportServiceUrl – Report Server Reporting Service information should be provided for this API.
  • reportServerUrl- Report Server Reporting Server information should be provided for this API.
  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.
  • reportPath - Path of report need to formed with information for category and report name as like /{category name}/{report name}

If you need to know the difference between reportServiceUrl and reportServerUrl, refer to the Difference between Report Service URL and Report Server URL.

You can follow one of the procedure from below based on your Report Server type,

Enterprise Reporting Report Server

  1. Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    serviceAuthorizationToken: "bearer <server token>",
                }
            );
        });
    </script>

    You can refer to the documentation here on how to generate the token within an application.

  2. Set the Bold Report Server built-in service URL to the reportServiceUrl property. The reportServiceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Viewer.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer",
                    serviceAuthorizationToken: "bearer <server token>"
                }
            );
        });
    </script>
  3. Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer",
                    reportServerUrl:"https://on-premise-demo.boldreports.com/reporting/api/site/site1",
                    serviceAuthorizationToken: "bearer <server token>"
                }
            );
        });
    </script>
  4. Set the path of report in reportPath property.

    <script type="text/javascript">
        $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer",
                    reportServerUrl:"https://on-premise-demo.boldreports.com/reporting/api/site/site1",
                    serviceAuthorizationToken: "bearer <server token>",
                    reportPath: '/Sample Reports/Company Sales'
                }
            );
        });
    </script>

Report path formed with category and report name as like /{category name}/{report name}.

  • Build and run the application.

Cloud Reporting server

  1. Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    serviceAuthorizationToken: "bearer <server token>"
            );
        });
    </script>

    You can refer to the documentation here on how to generate the token within an application.

  2. Set the Bold Report Server built-in service URL to the reportServiceUrl property. The reportServiceUrl property value is a https://service.boldreports.com/api/Viewer.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://service.boldreports.com/api/Viewer",
                    serviceAuthorizationToken: "bearer <server token>"
                }
            );
        });
    </script>
  3. Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/.

    <script type="text/javascript">
       $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://service.boldreports.com/api/Viewer",
                    reportServerUrl:"https://acmecorp.boldreports.com/reporting/api",
                    serviceAuthorizationToken: "bearer <server token>"
                }
            );
        });
    </script>
  4. Set the path of report in reportPath property.

    <script type="text/javascript">
        $(function () {
            $("#viewer").boldReportViewer(
                {
                    reportServiceUrl: "https://service.boldreports.com/api/Viewer",
                    reportServerUrl:"https://acmecorp.boldreports.com/reporting/api",
                    serviceAuthorizationToken: "bearer <server token>",
                    reportPath: '/Sample Reports/Company Sales'
                }
            );
        });
    </script>

Report path formed with category and report name as like /{category name}/{report name}

  • Build and run the application.

Embed Bold Reports® Report Server Report

This section explains how to embed the Bold Report Server reports in your Angular application. The Bold Report Server contains built-in web API service that allows you to display the reports in your application without creating a new web API. You need a Report Viewer Angular application to do the following steps:

In Angular version 20.x and above, certain filenames have been updated. For example, the file previously named app.component.ts is now renamed to app.ts.

Prerequisites

Before you begin, make sure your development environment includes the following:

Install the Angular CLI

Angular provides the easiest way to set Angular CLI projects using the Angular CLI tool. To install the CLI application globally on your machine, run the following command in the Command Prompt.

npm install -g @angular/cli@latest

To learn more about angular-cli commands, click here.

Create a new application

To create a new Angular application, run the following command in the Command Prompt.

ng new project-name

E.g : ng new reportviewerapp

The ng new command prompts you for information about features to include in the initial app project. Accept the defaults by pressing the Enter or Return key.

Accept the initial app project defaults by pressing the Enter or Return key

Configure the Bold Report Viewer in Angular CLI

Reporting tools packages are distributed in NPM package as @boldreports/angular-reporting-components.

  1. To configure the Report Viewer component, change the directory to your application’s root folder.

    cd project-name
    
    E.g: cd reportviewerapp
  2. Run the following commands to install the Bold Reports® Angular library.

    npm install @boldreports/angular-reporting-components --save-dev
  3. Install the typings dependencies jquery, types/jquery and boldreports/types.

    npm install --save-dev jquery
    npm install --save-dev @types/jquery
    npm install --save-dev @boldreports/types
  4. Refer the jQuery script file (jquery.js) as given in the angular.json file within the projectname > scripts section (For example, reportviewerapp > scripts).

    {
      "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
      "projects": {
        "reportviewerapp": {
          "root": "src",
          "outDir": "dist",
          . . .
          . . .
          "styles": [
            "src/styles.css"
          ],
          "scripts": [
            "./node_modules/jquery/dist/jquery.js"
          ],
          . . .
          . . .
        }
      }
    }
  5. Add the typings jquery, and reports.all to the tsconfig.app.json file.

    {
      ...
      ...
      "compilerOptions": {
        ...
        ...
        "types": [
          "jquery",
          "reports.all"
        ]
      },
      ...
      ...
    }
  6. Register the @bold-reports/types under the typeRoots node in the tsconfig.json file.

    Css script reference

Adding CSS reference

Add the Report Viewer component style (bold.report-viewer.min.css) as given in the angular.json file within the projectname > styles section (For example, reportviewerapp > styles).

{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "projects": {
    "reportviewerapp": {
      "root": "src",
      "outDir": "dist",
      . . .
      . . .
      "styles": [
        "styles.css",
        "./node_modules/@boldreports/javascript-reporting-controls/Content/v2.0/tailwind-light/bold.report-viewer.min.css"
      ],
      "scripts": [
        "./node_modules/jquery/dist/jquery.js"
      ],
      . . .
      . . .
    }
  }
}

In the previous code, the tailwind-light theme is used. You can modify the theme based on your application, refer the following syntax: ./node_modules/@boldreports/javascript-reporting-controls/Content/v2.0/[theme-name]/bold.report-viewer.min.css

Adding Report Viewer component

To add the Report Viewer component, refer to the following steps:

  1. Open the app.ts or app.component.ts file.

  2. You can replace the following code snippet in the app.ts or app.component.ts file.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        // Initialize the Report Viewer properties here.
      }
    }
  3. Open the app.html or app.component.html file and initialize the Report Viewer.

  4. You can replace the following code snippet in the app.html or app.component.html file.

    <bold-reportviewer id="reportViewer_Control" style="width: 100%;height: 950px">
    </bold-reportviewer>

Report Server Configuration to render the report

Report Viewer requires the serviceAuthorizationToken, reportPath and reportServiceUrl to embed the reports. You can provide the information from report server as like explained below,

  • reportServiceUrl – Report Server Reporting Service information should be provided for this API.
  • reportServerUrl- Report Server Reporting Server information should be provided for this API.
  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.
  • reportPath - Path of report need to formed with information for category and report name as like /{category name}/{report name}

If you need to know the difference between reportServiceUrl and reportServerUrl, refer to the Difference between Report Service URL and Report Server URL.

You can replace the following code snippet in the app.html or app.component.html file.

  <bold-reportviewer
  id="reportViewer_Control"
  [reportServiceUrl]="reportServiceUrl"
  [reportServerUrl]="reportServerUrl"
  [serviceAuthorizationToken]="serviceAuthorizationToken"
  [reportPath]="reportPath"
  style="width: 100%;height: 950px">
  </bold-reportviewer>

You can follow one of the procedure from below based on your Report Server type,

Enterprise Reporting Report Server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.serviceAuthorizationToken = 'bearer <server token>';
      }
    }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the reportServiceUrl property. The reportServiceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Viewer.

      import { Component } from '@angular/core';
      import { CommonModule } from '@angular/common';
      import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
      // data-visualization
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
      // Report viewer
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
      @Component({
        selector: 'app-root',
        imports: [CommonModule, BoldReportViewerModule],
        templateUrl: './app.html', // or app.component.html
        styleUrls: ['./app.css'] // or app.component.css
      })
      export class AppComponent {
        public reportServiceUrl: string;
        public reportServerUrl: string;
        public reportPath: string;
        public serviceAuthorizationToken: string;
    
        constructor() {
          this.reportServiceUrl = 'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer';
          this.serviceAuthorizationToken = 'bearer <server token>';
        }
      }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>.

      import { Component } from '@angular/core';
      import { CommonModule } from '@angular/common';
      import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
      // data-visualization
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
      // Report viewer
      import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
      @Component({
        selector: 'app-root',
        imports: [CommonModule, BoldReportViewerModule],
        templateUrl: './app.html', // or app.component.html
        styleUrls: ['./app.css'] // or app.component.css
      })
      export class AppComponent {
        public reportServiceUrl: string;
        public reportServerUrl: string;
        public reportPath: string;
        public serviceAuthorizationToken: string;
    
        constructor() {
          this.reportServerUrl = 'https://on-premise-demo.boldreports.com/reporting/api/site/site1';
          this.reportServiceUrl = 'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer';
          this.serviceAuthorizationToken = 'bearer <server token>';
        }
      }
  • Set the path of report in reportPath property.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.reportServerUrl = 'https://on-premise-demo.boldreports.com/reporting/api/site/site1';
        this.reportServiceUrl = 'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer';
        this.serviceAuthorizationToken = 'bearer <server token>';
        this.reportPath = '/Sample Reports/Product Line Sales';
      }
    }

Cloud Reporting server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.serviceAuthorizationToken = 'bearer <server token>';
      }
    }

You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the reportServiceUrl property. The reportServiceUrl property value is a https://service.boldreports.com/api/Viewer.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.reportServerUrl = 'https://acmecorp.boldreports.com/reporting/api';
        this.reportServiceUrl = 'https://service.boldreports.com/api/Viewer';
        this.serviceAuthorizationToken = 'bearer <server token>';
      }
    }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.reportServerUrl = 'https://acmecorp.boldreports.com/reporting/api';
        this.reportServiceUrl = 'https://service.boldreports.com/api/Viewer';
        this.serviceAuthorizationToken = 'bearer <server token>';
      }
    }
  • Set the path of report in reportPath property.

    import { Component } from '@angular/core';
    import { CommonModule } from '@angular/common';
    import { BoldReportViewerModule } from '@boldreports/angular-reporting-components';
    // data-visualization
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
    // Report viewer
    import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
    
    @Component({
      selector: 'app-root',
      imports: [CommonModule, BoldReportViewerModule],
      templateUrl: './app.html', // or app.component.html
      styleUrls: ['./app.css'] // or app.component.css
    })
    export class AppComponent {
      public reportServiceUrl: string;
      public reportServerUrl: string;
      public reportPath: string;
      public serviceAuthorizationToken: string;
    
      constructor() {
        this.reportServerUrl = 'https://acmecorp.boldreports.com/reporting/api';
        this.reportServiceUrl = 'https://service.boldreports.com/api/Viewer';
        this.serviceAuthorizationToken = 'bearer <server token>';
        this.reportPath = '/Sample Reports/Product Line Sales';
      }
    }

Serve the application

To serve the application, follow these steps:

  1. Navigate to the root of the application and run the application using the following command.

    ng serve
  2. Navigate to the appropriate port http://localhost:4200 in the browser.

Embed Bold Reports® Report Server Report

This section explains how to embed the Bold Reports® Report Server reports in your React application. The Bold Reports® Report Server contains built-in Web API service that allows you to display the reports in your application without creating a new web API. You need a React application configured with Bold Reports® resources to do the following steps:

Prerequisites

Before getting started with the bold report viewer, make sure that your development environment includes the following commands.

  • Node JS (version 8.x or 10.x)
  • NPM (v3.x.x or higher)

Install the Create React App package

Create React App is a simple way to create single-page React application which provides a build setup with no configuration. To install the Create React App globally in your machine, run the following command in Command Prompt.

npm install create-react-app -g

To learn more about Create React App package refer here

Create a new React application

To create a new React application, run the following command in Command Prompt.

create-react-app reports

The create-react-app command adds the react, react-dom, react-scripts, and other dependencies required to your React application.

Install the Create React Class

To configure the Report Viewer component, change the directory to your applications’ root folder.

 cd reports

To install the type definitions for create-react-class, run the following command in Command Prompt.

npm install create-react-class --save

Install the Bold Reports® React package

To install the Bold Reports® React package, run the following command in Command Prompt.

npm install @boldreports/react-reporting-components --save

Adding scripts reference

Bold Reports® needs window.jQuery object to render the React components. Hence create a file named globals.js in src folder and import jQuery in globals.js file as like the below code snippet.

import jquery from 'jquery';
import React from 'react';
import createReactClass from 'create-react-class';
import ReactDOM from 'react-dom';

window.React = React;
window.createReactClass = createReactClass;
window.ReactDOM = ReactDOM;
window.$ = window.jQuery = jquery;

Refer the globals.js file in index.js file as like below code snippet.

import './globals'
import React from 'react';
import ReactDOM from 'react-dom';
import './index.css';
import App from './App';

ReactDOM.render(<App />, document.getElementById('root'));

Open the public\index.html and refer the following scripts in <head> tag.

<!-- Data-Visualization -->
<script src="https://cdn.boldreports.com/13.1.26/scripts/v2.0/common/bold.reports.common.min.js"></script>
<script src="https://cdn.boldreports.com/13.1.26/scripts/v2.0/common/bold.reports.widgets.min.js"></script>

Adding Report Viewer component

The Bold Report Viewer script and style files need to be imported, in order to run the web Report Viewer. Hence, import the following files in App.js file.

/* eslint-disable */
import React from 'react';
import './App.css';
//Report Viewer source
import '@boldreports/javascript-reporting-controls/Content/v2.0/tailwind-light/bold.report-viewer.min.css';
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.common.min';
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/common/bold.reports.widgets.min';
import '@boldreports/javascript-reporting-controls/Scripts/v2.0/bold.report-viewer.min';
//Reports react base
import '@boldreports/react-reporting-components/Scripts/bold.reports.react.min';
var viewerStyle = {'height': '700px', 'width': '100%'};

function App() {
  return (
    <div style={viewerStyle}>
      <BoldReportViewerComponent
      id="reportviewer-container">
      </BoldReportViewerComponent>
    </div>
  );
}

export default App;

Report Server Configuration to render the report

Report Viewer requires the serviceAuthorizationToken, reportPath and reportServiceUrl to embed the reports. You can provide the information from report server as like explained below,

  • reportServiceUrl – Report Server Reporting Service information should be provided for this API.
  • reportServerUrl- Report Server Reporting Server information should be provided for this API.
  • serviceAuthorizationToken – Authorization token to communicate with reportServiceUrl.
  • reportPath - Path of report need to formed with information for category and report name as like /{category name}/{report name}

If you need to know the difference between reportServiceUrl and reportServerUrl, refer to the Difference between Report Service URL and Report Server URL.

You can follow one of the procedure from below based on your Report Server type,

Enterprise Reporting Server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer to the documentation here, to generate the token by using credentials.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          serviceAuthorizationToken = {'bearer <server token>'}>
          </BoldReportViewerComponent>
          </div>);
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the serviceUrl property. The serviceUrl property value should be in format of https://<<Report server name>>/reporting/reportservice/api/Viewer.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer'}
          serviceAuthorizationToken = {'bearer <server token>'}>
          </BoldReportViewerComponent>
          </div>);
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/site/<<site name>>.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer'}
          reportServerUrl= {'https://on-premise-demo.boldreports.com/reporting/api/site/site1' }
          serviceAuthorizationToken = {'bearer <server token>'}>
          </BoldReportViewerComponent>
          </div>);
        }
  • Set the path of report in reportPath property.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://on-premise-demo.boldreports.com/reporting/reportservice/api/Viewer'}
          reportServerUrl= {'https://on-premise-demo.boldreports.com/reporting/api/site/site1' }
          serviceAuthorizationToken = {'bearer <server token>'}
          reportPath = {'/Sample Reports/Product Line Sales'}>
          </BoldReportViewerComponent>
          </div>);
        }

Cloud Reporting server

  • Generate token with your user credentials and assign it to serviceAuthorizationToken. You can refer the documentation here, to generate the token by using credentials.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          serviceAuthorizationToken = {'bearer <server token>'}>
          </BoldReportViewerComponent>
          </div>);
        }

    You can refer to the documentation here on how to generate the token within an application.

  • Set the Bold Report Server built-in service URL to the reportServiceUrl property. The reportServiceUrl property value is a https://service.boldreports.com/api/Viewer.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://service.boldreports.com/api/Viewer'}
          serviceAuthorizationToken = {'bearer <server token>'}
          reportPath = {'/Sample Reports/Product Line Sales'}>
          </BoldReportViewerComponent>
          </div>);
        }
  • Set the Bold Report Server built-in server URL to the reportServerUrl property. The reportServerUrl property value should be in format of https://<<Report server name>>/reporting/api/.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://service.boldreports.com/api/Viewer'}
          reportServerUrl= {'https://acmecorp.boldreports.com/reporting/api/'}
          serviceAuthorizationToken = {'bearer <server token>'}
          reportPath = {'/Sample Reports/Product Line Sales'}>
          </BoldReportViewerComponent>
          </div>);
        }
  • Set the path of report in reportPath property.

        function App() {
          return (<div id="viewer" style={viewerStyle}>
          <BoldReportViewerComponent id="reportviewer-container"
          reportServiceUrl = {'https://service.boldreports.com/api/Viewer'}
          reportServerUrl= {'https://acmecorp.boldreports.com/reporting/api/'}
          serviceAuthorizationToken = {'bearer <server token>'}
          reportPath = {'/Sample Reports/Product Line Sales'}>
          </BoldReportViewerComponent>
          </div>);
        }
  • Navigate to the root of the application and run using the following command.

  npm run start